Page MenuHomePhabricator

mark links to redirects to disambiguation pages as both "mw-redirect" and "mw-disambig"
Closed, ResolvedPublic

Description

mediawiki marks links to redirect pages with "mw-redirect" class, and links to disambiguation pages as "mw-disambig".
this allows editors to quickly and easily identify this kind of links, and correct them where a link to actual article is more appropriate.

links to redirects are usually considered harmless, and occasionally even desired, while unintentional links to disambiguation pages are almost always harmful.

the problem is that harmful link to disambiguation can "hide" behind harmless link to redirect page (where the redirect itself links to disambiguation page).

the request is to mark such links (i.e. link to redirect page that redirects to disambiguation page) with both mw-redirect and mw-disambig.

(was not sure what is the best project to hang this on - finally selected "parser".
please move to more appropriate one if you can).

peace.

Details

Related Gerrit Patches:
mediawiki/extensions/Disambiguator : masterSetting redirect to disambig as disambig

Event Timeline

Kipod created this task.Feb 2 2015, 6:30 PM
Kipod raised the priority of this task from to Needs Triage.
Kipod updated the task description. (Show Details)
Kipod added a project: MediaWiki-Parser.
Kipod added a subscriber: Kipod.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2015, 6:30 PM
IKhitron updated the task description. (Show Details)Feb 2 2015, 6:43 PM
IKhitron set Security to None.
IKhitron added a subscriber: IKhitron.
eranroz added a subscriber: eranroz.Feb 2 2015, 7:03 PM

To mark redirect to dismabigs as disambigs we should change the query in filterDisambiguationPageIds function in Disambiguator.hooks.php:
http://git.wikimedia.org/blob/mediawiki%2Fextensions%2FDisambiguator.git/da356211346f7ac9efd4de9dd85f062108e89237/Disambiguator.hooks.php#L62

Aklapper triaged this task as Low priority.Feb 2 2015, 7:36 PM

Change 268703 had a related patch set uploaded (by Eranroz):
setting redirect to disambig as disambig

https://gerrit.wikimedia.org/r/268703

eranroz claimed this task.Feb 5 2016, 5:39 PM

Change 268703 merged by jenkins-bot:
Setting redirect to disambig as disambig

https://gerrit.wikimedia.org/r/268703

matmarex closed this task as Resolved.Feb 9 2016, 12:44 AM
matmarex removed a project: Patch-For-Review.

Hello, @matmarex or anyone reading this. If I understand well the patch system, this feature should work on cawiki and hewiki from yesterday eve, shouldn't it?

Thank you, @matmarex, well, I think it does not work.

Does not matter, it works now. 4 hours earlier it was not, I checked even Console css styles. Maybe it started later from some reason.

Does not matter, it works now. 4 hours earlier it was not, I checked even Console css styles. Maybe it started later from some reason.

You have to purge the page (or wait until it is re-rendered for some other reason), otherwise the old HTML without the new class will still be served from cache.

Thank you. Does this mean that all pages without any edit will not show the new styles until the next (null) edit forever?

Not forever, but for up to 30 days, I think.

Thanks, @matmarex. But there are all kind of mediawiki message error staff that I find 3-4 years later then the last edit.
It would be wonderful if it was possible to make a nulledit for all pages in wikipedia at least once a year. Once a month - even better.

I am pretty sure we will never serve any logged in user cached pages that have been parsed more than 30 days ago (cached in parser cache, the expiry time is controlled by $wgParserCacheExpireTime). I am less sure about anonymous users (who, in addition to parser cache, have pages cached in Varnish; I don't know what's the expiry mechanism for this), but I think it's also unlikely. If you ever run into such a page, it might be a good idea to file a task about it.

I saw hundreds. Next time I'll inform.